# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    import json

    proxies = {}
    if isfile(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    v = [
        (str(p["browser_download_url"]))
        for p in json.loads(wgets("https://api.github.com/repos/jendrikseipp/rednotebook/releases/latest", proxies=proxies))["assets"]
        if ".exe" in p["name"]
    ][0].split("/")[-2]
    urlfile = "https://github.com/jendrikseipp/rednotebook/archive/%s.tar.gz" % v
    filename = "%s.tar.gz" % v

    exes = glob.glob("*.tar.gz")
    for fn in exes:
        if fn != filename:
            remove_file(fn)

    if not isfile(filename):
        print("Downloading %s from %s" % (filename, urlfile))
        wget(urlfile, filename, proxies=proxies)
    else:
        print("Already up to date, skipped")

    control.version = v.strip("v") + "-0"
    control.save_control_to_wapt()
